# zmq_msg_init_size(3) Manual Page

## NAME

zmq_msg_init_size - initialise 0MQ message of a specified size

## SYNOPSIS

int zmq_msg_init_size (zmq_msg_t *msg, size_t size);

## DESCRIPTION

The zmq_msg_init_size() function shall allocate any resources required to store a message size bytes long and initialise the message object referenced by msg to represent the newly allocated message.

The implementation shall choose whether to store message content on the stack (small messages) or on the heap (large messages). For performance reasons zmq_msg_init_size() shall not clear the message data.

Caution | Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

Caution | The functions zmq_msg_init(), zmq_msg_init_data() and zmq_msg_init_size() are mutually exclusive. Never initialize the same zmq_msg_t twice.

## RETURN VALUE

The zmq_msg_init_size() function shall return zero if successful. Otherwise it shall return `-1` and set errno to one of the values defined below.

## ERRORS

ENOMEM

  Insufficient storage space is available.

## SEE ALSO

zmq_msg_init_data(3) zmq_msg_init(3) zmq_msg_close(3) zmq_msg_data(3) zmq_msg_size(3) zmq(7)

## AUTHORS

The ØMQ documentation was written by Martin Sustrik <sustrik@250bpm.com> and Martin Lucina <martin@lucina.net>.